package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface AmsSaleMaterialMapper extends IBaseMapper<AmsSaleMaterial, BigDecimal> {

    // 得到销售订单主键
    @Select("select seq_AMS_SALE_MATERIAL.nextval from dual")
    BigDecimal getSaleMaterialId();

    // 通过物资编码查询物资id
    BigDecimal getMaterialId(String materialCode);
    // 得到物资出现次数
    Integer getMaterialCount(BigDecimal materialId);
    // 反关闭销售订单下的所有分录
    int openAllSaleMaterial(BigDecimal saleOrderId);
    // 关闭销售订单下的所有分录
    int closeAllSaleMaterial(BigDecimal saleOrderId);

    int unCloseSaleMaterial(BigDecimal saleMaterialId);

    List<String> getMaterialEasList(String saleNumber);

    int deleteSaleMaterialByEasId(String easId);

    BigDecimal getSaleMaterialIdByEasId(String easId);

    int deleteAstmBystId(String stId);

    List<String> getMaterialEasIdList(String saleNumber);

}