package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="火运质检")
public class TmstrainQualityResult implements IBasePO<BigDecimal> {
    /**
     * 主键id(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩id(RESULT_TOTAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="总实绩id",required=false)
    private BigDecimal resultTotalId;

    /**
     * 进厂流水号(WZ_INPUT_ID,VARCHAR,255)
     */
    @ApiModelProperty(value="进厂流水号",required=false)
    private String wzInputId;

    /**
     * 物资编号(WZ_ID,VARCHAR,255)
     */
    @ApiModelProperty(value="物资编号",required=false)
    private String wzId;

    /**
     * 矿点编号(MINE_ID ,VARCHAR,255)
     */
    @ApiModelProperty(value="矿点编号",required=false)
    private String mineId;

    /**
     * 合同号(CONTRANCT_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String contranctNo;

    /**
     * 供应商编号(SUPLIER_ID,VARCHAR,200)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String suplierId;

    /**
     * 矿点(MINE_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="矿点",required=false)
    private String mineName;

    /**
     *  1、进口矿  2、国内矿(IS_IMPORT,VARCHAR,20)
     */
    @ApiModelProperty(value=" 1、进口矿  2、国内矿",required=false)
    private String isImport;

    /**
     * 磅单号(POUND_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="磅单号",required=false)
    private String poundNo;

    /**
     * 车号(CARGO_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="车号",required=false)
    private String cargoNo;

    /**
     * 发站(SATION_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="发站",required=false)
    private String sationName;

    /**
     * 采购单位名称(PURCHASE_UNIT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="采购单位名称",required=false)
    private String purchaseUnitName;

    /**
     * 船号(SHIP_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="船号",required=false)
    private String shipName;

    /**
     * 抽样日期(SAMPLE_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="抽样日期",required=false)
    private Date sampleDate;

    /**
     * 抽样地点(SAMPLE_PLACE_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="抽样地点",required=false)
    private String samplePlaceName;

    /**
     * 新增日期(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="新增日期",required=true)
    private Date insertTime;

    /**
     * 备注(INSERT_REMARK,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String insertRemark;

    /**
     * 进厂时间(INPUT_DATE,VARCHAR,30)
     */
    @ApiModelProperty(value="进厂时间",required=false)
    private String inputDate;

    /**
     * 净重(NET_WEIGHT,VARCHAR,20)
     */
    @ApiModelProperty(value="净重",required=false)
    private String netWeight;

    /**
     * 是否已抽检(ISQUALITY,VARCHAR,20)
     */
    @ApiModelProperty(value="是否已抽检",required=false)
    private String isquality;

    /**
     * 卸货点id(UNLOAD_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="卸货点id",required=false)
    private BigDecimal unloadId;

    /**
     * 扣水扣杂量(DEDUCT_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="扣水扣杂量",required=false)
    private BigDecimal deductNumber;

    /**
     * 检验结果(ELEMENT_VALUE,VARCHAR,30)
     */
    @ApiModelProperty(value="检验结果",required=false)
    private String elementValue;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public String getWzInputId() {
        return wzInputId;
    }

    public void setWzInputId(String wzInputId) {
        this.wzInputId = wzInputId == null ? null : wzInputId.trim();
    }

    public String getWzId() {
        return wzId;
    }

    public void setWzId(String wzId) {
        this.wzId = wzId == null ? null : wzId.trim();
    }

    public String getMineId() {
        return mineId;
    }

    public void setMineId(String mineId) {
        this.mineId = mineId == null ? null : mineId.trim();
    }

    public String getContranctNo() {
        return contranctNo;
    }

    public void setContranctNo(String contranctNo) {
        this.contranctNo = contranctNo == null ? null : contranctNo.trim();
    }

    public String getSuplierId() {
        return suplierId;
    }

    public void setSuplierId(String suplierId) {
        this.suplierId = suplierId == null ? null : suplierId.trim();
    }

    public String getMineName() {
        return mineName;
    }

    public void setMineName(String mineName) {
        this.mineName = mineName == null ? null : mineName.trim();
    }

    public String getIsImport() {
        return isImport;
    }

    public void setIsImport(String isImport) {
        this.isImport = isImport == null ? null : isImport.trim();
    }

    public String getPoundNo() {
        return poundNo;
    }

    public void setPoundNo(String poundNo) {
        this.poundNo = poundNo == null ? null : poundNo.trim();
    }

    public String getCargoNo() {
        return cargoNo;
    }

    public void setCargoNo(String cargoNo) {
        this.cargoNo = cargoNo == null ? null : cargoNo.trim();
    }

    public String getSationName() {
        return sationName;
    }

    public void setSationName(String sationName) {
        this.sationName = sationName == null ? null : sationName.trim();
    }

    public String getPurchaseUnitName() {
        return purchaseUnitName;
    }

    public void setPurchaseUnitName(String purchaseUnitName) {
        this.purchaseUnitName = purchaseUnitName == null ? null : purchaseUnitName.trim();
    }

    public String getShipName() {
        return shipName;
    }

    public void setShipName(String shipName) {
        this.shipName = shipName == null ? null : shipName.trim();
    }

    public Date getSampleDate() {
        return sampleDate;
    }

    public void setSampleDate(Date sampleDate) {
        this.sampleDate = sampleDate;
    }

    public String getSamplePlaceName() {
        return samplePlaceName;
    }

    public void setSamplePlaceName(String samplePlaceName) {
        this.samplePlaceName = samplePlaceName == null ? null : samplePlaceName.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getInsertRemark() {
        return insertRemark;
    }

    public void setInsertRemark(String insertRemark) {
        this.insertRemark = insertRemark == null ? null : insertRemark.trim();
    }

    public String getInputDate() {
        return inputDate;
    }

    public void setInputDate(String inputDate) {
        this.inputDate = inputDate == null ? null : inputDate.trim();
    }

    public String getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(String netWeight) {
        this.netWeight = netWeight == null ? null : netWeight.trim();
    }

    public String getIsquality() {
        return isquality;
    }

    public void setIsquality(String isquality) {
        this.isquality = isquality == null ? null : isquality.trim();
    }

    public BigDecimal getUnloadId() {
        return unloadId;
    }

    public void setUnloadId(BigDecimal unloadId) {
        this.unloadId = unloadId;
    }

    public BigDecimal getDeductNumber() {
        return deductNumber;
    }

    public void setDeductNumber(BigDecimal deductNumber) {
        this.deductNumber = deductNumber;
    }

    public String getElementValue() {
        return elementValue;
    }

    public void setElementValue(String elementValue) {
        this.elementValue = elementValue == null ? null : elementValue.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", wzInputId=").append(wzInputId);
        sb.append(", wzId=").append(wzId);
        sb.append(", mineId=").append(mineId);
        sb.append(", contranctNo=").append(contranctNo);
        sb.append(", suplierId=").append(suplierId);
        sb.append(", mineName=").append(mineName);
        sb.append(", isImport=").append(isImport);
        sb.append(", poundNo=").append(poundNo);
        sb.append(", cargoNo=").append(cargoNo);
        sb.append(", sationName=").append(sationName);
        sb.append(", purchaseUnitName=").append(purchaseUnitName);
        sb.append(", shipName=").append(shipName);
        sb.append(", sampleDate=").append(sampleDate);
        sb.append(", samplePlaceName=").append(samplePlaceName);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", insertRemark=").append(insertRemark);
        sb.append(", inputDate=").append(inputDate);
        sb.append(", netWeight=").append(netWeight);
        sb.append(", isquality=").append(isquality);
        sb.append(", unloadId=").append(unloadId);
        sb.append(", deductNumber=").append(deductNumber);
        sb.append(", elementValue=").append(elementValue);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}